import { DiscoveryApi, FetchApi } from '@backstage/core-plugin-api';
import { ConfigInfo, DevToolsInfo, ExternalDependency } from '@backstage/plugin-devtools-common';
import { DevToolsApi } from './DevToolsApi';
export declare class DevToolsClient implements DevToolsApi {
    private readonly discoveryApi;
    private readonly fetchApi;
    constructor(options: {
        discoveryApi: DiscoveryApi;
        fetchApi: FetchApi;
    });
    getConfig(): Promise<ConfigInfo | undefined>;
    getExternalDependencies(): Promise<ExternalDependency[] | undefined>;
    getInfo(): Promise<DevToolsInfo | undefined>;
    private get;
}
